org.wildfly.swarm.config.management.security_realm

## Class UsersAuthentication<T extends UsersAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.UsersAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class UsersAuthentication<T extends UsersAuthentication<T>>
      extends HashMap

  Configuration to use a list users stored directly within the standalone.xml or host.xml configuration file as the user repository.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UsersAuthentication.UsersAuthenticationResources` Child mutators for UsersAuthentication

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `UsersAuthentication.UsersAuthenticationResources` | `subresources()`
    `T` | `user(String childKey)` Create and configure a User object to the list of subresources
    `T` | `user(String childKey, UserConsumer consumer)` Create and configure a User object to the list of subresources
    `T` | `user(User value)` Add the User object to the list of subresources
    `T` | `user(UserSupplier supplier)` Install a supplied User object to the list of subresources
    `T` | `users(List<User> value)` Add all User objects to this subresource

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### UsersAuthentication

          public UsersAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public UsersAuthentication.UsersAuthenticationResources subresources()

    - #### users

          public T users(List<User> value)

      Add all User objects to this subresource
      Parameters:
        `value` - List of User objects.
      Returns:
        this

    - #### user

          public T user(User value)

      Add the User object to the list of subresources
      Parameters:
        `value` - The User to add
      Returns:
        this

    - #### user

          public T user(String childKey,
                        UserConsumer consumer)

      Create and configure a User object to the list of subresources
      Parameters:
        `key` - The key for the User resource
        `config` - The UserConsumer to use
      Returns:
        this

    - #### user

          public T user(String childKey)

      Create and configure a User object to the list of subresources
      Parameters:
        `key` - The key for the User resource
      Returns:
        this

    - #### user

          public T user(UserSupplier supplier)

      Install a supplied User object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.